## kcron 25.12.0+p24.04+vstable+git20251210.2311

=== debian/changelog ===
kcron (4:25.12.0+p24.04+vstable+git20251210.2311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 23:11:45 +0000

## kcron 25.12.0+p24.04+vunstable+git20251208.1725

=== debian/changelog ===
kcron (4:25.12.0+p24.04+vunstable+git20251208.1725-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 17:25:44 +0000

## kcron 25.12.1

=== debian/changelog ===
kcron (4:25.12.1-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:02:16 +0000

kcron (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:26:58 +1000

## kcron 25.12.1+p24.04+vstable+git20260116.1204

=== debian/changelog ===
kcron (4:25.12.1+p24.04+vstable+git20260116.1204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 12:04:27 +0000

## kcron 25.12.1+p24.04+vstable+git20260120.0758

=== debian/changelog ===
kcron (4:25.12.1+p24.04+vstable+git20260120.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 07:58:27 +0000

## kcron 25.12.1+p24.04+vunstable+git20260106.1842

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)
project(kcron)

set (QT_MIN_VERSION "6.8.0")
set (KF_MIN_VERSION "6.11.0")

find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

add_definitions(-DTRANSLATION_DOMAIN="kcm_cron")

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package (Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    PrintSupport
    Quick
)

find_package(KF6 REQUIRED COMPONENTS
    ConfigWidgets
    CoreAddons
    Auth
    I18n
    KCMUtils
)

find_package(KF6KirigamiAddons 0.11.76 REQUIRED)

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

ecm_set_disabled_deprecation_versions(QT 6.10.0
    KF 6.17.0
)

add_subdirectory(src)

include(CTest)
add_subdirectory(autotests)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kcron.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_qt_install_logging_categories(
	EXPORT KCRON
        FILE kcron.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt6Test ${QT_MIN_VERSION} CONFIG REQUIRED)

add_executable(taskvalidatortest taskvalidatortest.cpp
    ../src/taskvalidator.cpp
    ../src/task.cpp
    ../src/crontablib/cttask.cpp
    ../src/crontablib/ctunit.cpp
    ../src/crontablib/ctmonth.cpp
    ../src/crontablib/ctdom.cpp
    ../src/crontablib/ctdow.cpp
    ../src/crontablib/cthour.cpp
    ../src/crontablib/ctminute.cpp
    ../src/crontablib/ctHelper.cpp
)

target_include_directories(taskvalidatortest PRIVATE ../src ../src/crontablib)
target_link_libraries(taskvalidatortest Qt6::Test Qt6::Gui Qt6::Qml KF6::I18n)
add_test(NAME taskvalidatortest COMMAND taskvalidatortest)

## kcron 25.12.1+p24.04+vunstable+git20260202.0927

=== debian/changelog ===
kcron (4:25.12.1+p24.04+vunstable+git20260202.0927-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:27:44 +0000

## kcron 25.12.2

=== debian/changelog ===
kcron (4:25.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 25.12.2.
  * debian/control: Bump Standards-Version to 4.7.3, Drop Priority: optional
    and Rules-Requires-Root: no.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Feb 2026 11:47:30 -0500

=== debian/control ===
Source: kcron
Section: kde
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               kirigami-addons-dev (>= 0.11.76~),
               libkf6auth-dev,
               libkf6configwidgets-dev,
               libkf6coreaddons-dev,
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev,
               libkf6kcmutils-dev,
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/kcron/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcron
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcron.git

Package: kde-config-cron
Section: admin
Architecture: any
Depends: cron | cron-daemon | anacron,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: program scheduler frontend
 kde-config-cron is a KDE configuration module for scheduling programs to run
 at specific intervals using cron, the UNIX scheduling service.
 .
 This package is part of the KDE administration module.
